﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using System.Threading.Tasks;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace SfCalendarsample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private readonly MainPageViewModel _mainPageViewModel;

        public MainPage()
        {
            this.InitializeComponent();

            _mainPageViewModel = new MainPageViewModel();

            _mainPageViewModel.CalendarDatePickerViewModel = new CalendarDatePickerViewModel();
            _mainPageViewModel.CalendarDatePickerViewModel.Initialize(null);
            _mainPageViewModel.CalendarDatePickerViewModel.SetInitialData(DateTime.MinValue, DateTime.Parse("04/29/2016", CultureInfo.InvariantCulture), DateTime.Today, new AsyncCommand<DateTime>(OnDateSelected), null);

            DataContext = _mainPageViewModel;
        }

        private Task OnDateSelected(DateTime arg)
        {
            return Task.CompletedTask;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            _mainPageViewModel.CalendarDatePickerViewModel.MaxFilterDate = _mainPageViewModel.CalendarDatePickerViewModel.MaxFilterDate.AddDays(1);
        }

        private void Button_Click1(object sender, RoutedEventArgs e)
        {
            _mainPageViewModel.CalendarDatePickerViewModel.SelectedDate = DateTime.Parse("04/29/2016", CultureInfo.InvariantCulture);
            _mainPageViewModel.CalendarDatePickerViewModel.DisplayDate = DateTime.Parse("04/29/2016", CultureInfo.InvariantCulture);
        }
    }
}
